<mat-card class="mat-elevation-z0">
  <div class="homeless-review-small-box mat-elevation-z4" fxLayout="column">
    <div class="homeless-review-container mat-elevation-z4">
      <form [formGroup]="homelessAtRiskFormGroup" class="section">
        <div fxLayout="column" flex>
          <div fxLayout="row">
            <div fxFlex="70" class="col1header"><span fxFlex="100">At Risk Family Questions⁠</span>
            </div>
            <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the family experienced frequent moves (more than 2 in the past year)?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="hasFrequentMovesPast1YearCtrl"
                (change)="onHasFrequentMovesPast1YearChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.hasFrequentMovesPast1YearSource === 679 ? 'Application'
                  : homelessAtRisk.hasFrequentMovesPast1YearSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <br>
          <div fxLayout="row">
            <div fxFlex="70" class="col1header"><span fxFlex="100">Head of Household Information</span>
            </div>
            <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Have limited education (less than H.S. Diploma/TASC)?
                <span class="homeless-risk-text">
                  {{ haveLimitedEducationDescription }}
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="haveLimitedEducationCtrl"
                (change)="onHaveLimitedEducationChange($event)" [disabled]="!isHeadOfHouseHoldEnabled">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.haveLimitedEducationSource === 679 ? 'Application'
                  : homelessAtRisk.haveLimitedEducationSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Have limited employment history (6 months or less over the last 24 months)?
                <span class="homeless-risk-text">
                  {{ haveLimitedEmpHistoryDescription }}
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="haveLimitedEmploymentHistoryCtrl"
                (change)="onHaveLimitedEmploymentHistoryChange($event)" [disabled]="!isHeadOfHouseHoldEnabled">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.haveLimitedEmpHistorySource === 679 ? 'Application'
                  : homelessAtRisk.haveLimitedEmpHistorySource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Have an age of 25 or younger with children?
                <span class="homeless-risk-text">
                  {{ yaWithChildrenDescription }}
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="youngAdultWithChildrenCtrl"
                (change)="onYoungAdultWithChildrenChange($event)" [disabled]="!isHeadOfHouseHoldEnabled">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.yaWithChildrenSource === 679 ? 'Application'
                  : homelessAtRisk.yaWithChildrenSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Had an episode of shelter stay of any duration within the past 24 months?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="shelterStayInPast24MonthsCtrl"
                (change)="onShelterStayInPast24MonthsChange($event)" [disabled]="!isHeadOfHouseHoldEnabled">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.shelterStayInPast24MonthsSource === 679 ? 'Application'
                  : homelessAtRisk.shelterStayInPast24MonthsSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>
                Currently or in the past been a victim of DV within the past 24 months, as documented by a relevant
                services provider?
                <span class="homeless-risk-text">
                  {{ isVictimOfDVInPast24MonthsDescription }}
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="isVictimOfDVInPast24MonthsCtrl"
                (change)="onIsVictimOfDVInPast24MonthsChange($event)" [disabled]="!isHeadOfHouseHoldEnabled">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.isVictimOfDVInPast24MonthsSource === 679 ? 'Application'
                  : homelessAtRisk.isVictimOfDVInPast24MonthsSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Other criteria indicating serious risk of chronic homelessness?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="otherCriteriaForHomelessCtrl"
                (change)="onOtherCriteriaForHomelessChange($event)" [disabled]="!isHeadOfHouseHoldEnabled">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homelessAtRisk ? homelessAtRisk.otherCriteriaForHomelessSource === 679 ? 'Application'
                  : homelessAtRisk.otherCriteriaForHomelessSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" class="explain-box">
            <mat-label class="required-label-color" *ngIf="isExplainRequired">Explain :</mat-label>
            <mat-label *ngIf="!isExplainRequired">Explain :</mat-label>
            &nbsp;
            <mat-form-field appearance="outline" class="explain-text-area" style="width: 92%">
              <textarea rows="2" maxlength="2000" matInput formControlName="explainCtrl" minlength="2"></textarea>
            </mat-form-field>
          </div>
        </div>
      </form>
    </div>
  </div>
</mat-card>
<div class="homeless-bottom-main">
  <div class="homeless-bottom-sub">
    <div class="homeless-bottom-sub-button-parent-left">
      <button type="button" mat-raised-button color="primary" (click)="saveHomelessAtRiskData()" matTooltip="Save"
        matTooltipClass="pact-tooltip">Save</button>
    </div>
    <div class="homeless-bottom-sub-button-parent-right">
      <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
        matTooltipClass="pact-tooltip">Previous</button>
      &nbsp;&nbsp;
      <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
        matTooltipClass="pact-tooltip">Next</button>
    </div>
  </div>
</div>